Bug 131069 - Should mark named.conf %config(noreplace)
Summary: Should mark named.conf %config(noreplace)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bind
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Vas Dias
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks: FC3Target 1339502
TreeView+ depends on / blocked
 
Reported: 2004-08-27 08:41 UTC by Tim Waugh
Modified: 2016-05-25 08:55 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-08-27 20:44:29 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2004:567 normal SHIPPED_LIVE Updated bind packages 2004-12-21 05:00:00 UTC

Description Tim Waugh 2004-08-27 08:41:54 UTC
Description of problem:
After upgrading bind, no names on my local network would resolve. 
/var/named/chroot/etc/named.conf had been overwritten.  Although there
is an rpmsave file, it should be that the new file is written as
rpmnew, i.e. instead of %config named.conf it should be
%config(noreplace) named.conf.

Version-Release number of selected component (if applicable):
bind-9.2.4rc7-9

How reproducible:
100%

Steps to Reproduce:
1. Upgrade bind.

Comment 1 Jason Vas Dias 2004-08-27 20:44:29 UTC
Bind does not supply named.conf - only if /etc/named.conf does not
exist at all, it creates a bare minimal /etc/named.conf sufficient
only to allow named to run - this was new in bind-9.2.4-rc7-9. 
There is no entry for named.conf in the bind rpm %files list.

Bind does not touch named.conf if it already exists:
$ ls -l /etc/named.conf /var/named/chroot/etc/named.conf
lrwxrwxrwx  1 root root   32 Aug 26 16:59 /etc/named.conf ->
/var/named/chroot/etc/named.conf
-rw-r--r--  1 root root 1323 Aug 25 18:16 /var/named/chroot/etc/named.conf
$ rpm -Uvh --force bind-9.2.4rc7-9.i386.rpm
Preparing...               
########################################### [100%]
   1:bind                   warning: /etc/rndc.key created as
/etc/rndc.key.rpmnew
########################################### [100%]
$ ls -l /etc/named.conf /var/named/chroot/etc/named.conf
lrwxrwxrwx  1 root root   32 Aug 26 16:59 /etc/named.conf ->
/var/named/chroot/etc/named.conf
-rw-r--r--  1 root root 1323 Aug 25 18:16 /var/named/chroot/etc/named.conf

So I can't understand why your named.conf was changed - it could
not have been by installation/upgrade of the bind package.

If you had installed the caching-nameserver at the same time,
that DOES replace named.conf - the named.conf supplied 
with caching-nameserver is required for named to operate
as a caching nameserver - could it have been that package
you installed ?






Comment 2 Tim Waugh 2004-09-27 17:12:42 UTC
Yes, caching-nameserver is the culprit.

Comment 3 John Flanagan 2004-12-21 19:49:56 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-567.html



Note You need to log in before you can comment on or make changes to this bug.